import Layout from '@/layout';

const historyRoutes = {
  path: '/history',
  component: Layout,
  redirect: '/history/alarms',
  name: 'HistoryAlarms',
  meta: {
    title: 'history',
    icon: 'nested',
    permissions: ['view menu history alarms'],
  },
  children: [
    {
      path: 'alarms',
      name: 'Alarms',
      component: () => import('@/views/history/alarms'),
      meta: { title: 'historyAlarms', icon: 'form' },
    },
    {
      path: 'index',
      component: () => import('@/views/history/index'),
      name: 'Index',
      meta: { title: 'historyData', icon: 'chart', noCache: true },
    },
  ],
};

export default historyRoutes;
